### Method

# FwupdPlugin BiosSettings to_hash_kv

since: 1.8.4

#### Declaration [src]

    GHashTable*
    fu_bios_settings_to_hash_kv (
      FuBiosSettings* self
    )

#### Description [src]

Creates a `GHashTable` with the name and current value of all BIOS settings.

Available since: 1.8.4

#### Return value

Type: `GHashTable`

Name/value pairs.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.